> For the complete documentation index, see [llms.txt](https://api-en.stridecross.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-en.stridecross.com/stridecross-api/query-transaction-records.md).

# Query transaction records

#### Endpoint usage

<mark style="color:green;">`POST`</mark>&#x20;

https\://{host}/api/v1/orders/list

**The fields with \* are required, and the fields without \* are optional**

**Request Body**

| Name                                          | Type    | Description                                                                                                                                                                                                                     |
| --------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| equipmentNo<mark style="color:red;">\*</mark> | String  | Equipment number (This field will be used as the unique identifier of the user, and the third parties can obtain it on their own, such as the first 32 characters of fromAddress, or a string of 32 random numbers and letters) |
| sourceType                                    | String  | Device type (H5/IOS/Android The field is optional, if it is requested directly through the API, it can be empty)                                                                                                                |
| sourceFlag<mark style="color:red;">\*</mark>  | String  | <p><strong>Channel / Source Identifier</strong></p><p>This interface does not require an API Key. Your caller identity will be identified through this parameter. Please ensure it is filled in accurately.</p>                 |
| pageNo<mark style="color:red;">\*</mark>      | Integer | current page number                                                                                                                                                                                                             |
| pageSize<mark style="color:red;">\*</mark>    | Integer | Page size                                                                                                                                                                                                                       |
| fromAddress<mark style="color:red;">\*</mark> | String  | User address                                                                                                                                                                                                                    |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "resCode":100,
    "resMsg":"success",
    "data":{
        "list":[
            {
                "id":283,
                "orderId":"kydjhyt5_rec8_tfdi_s67b_td5kpu8qezy0",  // Order Id 
                "fromTokenAddress":"0xa71edc38d189767582c38a3145b5873052c3e47a",  // Contract address for the token to sell 
                "toTokenAddress":"0x382bb369d343125bfb2117af9c149795c6c65c50",    // Contract address for the token to receive  
                "fromTokenAmount":"5",  // Amount of token to sell 
                "toTokenAmount":"3.99", // Estimated amount to receive  
                "fromAddress":"0x20...", //  User address                 
                "slippage":"",  // slippage
                "fromChain":"HECO",  // Network of the token to sell 
                "toChain":"OKEXCHAIN",  // Network of the token to received  
                "hash":"0x505c3b4ebecb3f95e2d51d140c732be7ac6b57119ff2a08908f171f6f00daa1a",   // Deposit hash
                "depositHashExplore":"https://hecoinfo.com/tx/0x505c3b4ebecb3f95e2d51d140c732be7ac6b57119ff2a08908f171f6f00daa1a",  // Deposit hash explorer URL 
                "dexName":"",
                "status":"receive_complete",  // Order status  
                "createTime":"2022-01-25 14:24:32", // Order create time                
                 "source":"Bridgers1",  // Source channel 
                "toAddress":"0x20...",  // Receiving address 
                "toHash":"0xf4575d8e99474319bbc8f5a849ac8821ace868bc3d4ca93723f2c5ead200a5bb",  // Transaction Hash
                "receiveHashExplore":"https://www.oklink.com/oec/tx/0xf4575d8e99474319bbc8f5a849ac8821ace868bc3d4ca93723f2c5ead200a5bb",  // Transaction hash explorer URL 
                "equipmentNo":"0x19b9....",  // Equipment number 
                "refundCoinAmt":"",  //  Refund amount 
                "refundHash":"",  //  Refund Hash 
                "refundHashExplore":"",  // Refund hash explorer URL 
                "refundReason": "1", //(1-Insufficient liquidity, 2-Exceeding threshold error, 3-Maintenance of the original currency, 4-Blacklisted, 5-Maintenance of the target currency, 6-The amount of redemption is not within the range, 7-Deposit timeout, 8-Interact with risky address)
                "fromCoinCode":"USDT(HECO)",  // Token to sell 
                "toCoinCode":"USDT(OKExChain)"   // Token to receive  
            }
        ],
        "total":1,  // Total page number  
        "pageNo":"1"  //  Current page number
    }
}
```

{% endtab %}
{% endtabs %}

#### Code example

{% tabs %}
{% tab title="JavaScript" %}

```
//  transData example
  const params = {
    pageNo: 1,
    pageSize: 5,
    fromAddress: '',  //your wallet address
    equipmentNo:'', // your equipment number
    sourceType: 'H5',
    sourceFlag:'widget'
  }
  const res = await axios.post('https://{host}/api/v1/orders/list',params)
  console.log(res)
```

{% endtab %}
{% endtabs %}

#### Postman example

#### Status field Parsed for display

wait\_deposit\_send: 'Waiting for deposit',

wait\_deposit\_send\_fail: 'User deposit failed',

wait\_exchange\_push: 'Exchanging...',

wait\_exchange\_return: 'Exchanging...',

wait\_exchange\_return\_success: 'Exchanging...',

wait\_receive\_send: 'Exchange complete, ready to issue crypto',

wait\_enough\_send:'Issuing crypto …'

wait\_receive\_confirm: 'Confirming issue …',

receive\_complete: 'Swap completed',

wait\_refund\_send: 'Refunding',

wait\_refund\_confirm: 'Confirming refund ...',

refund\_complete: 'refund complete',

timeout: 'Timeout',

ERROR: 'Exchanging...',

wait\_for\_information:'please contact customer service.' 接口调用


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-en.stridecross.com/stridecross-api/query-transaction-records.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
